CNFSSTAT(8)

NAME
cnfsstat - show usage of cycbuffs

SYNOPSIS
cnfsstat [ -a ] [ -c CLASS ] [ -h ] [ -l [ seconds ] ] [ -m BUFFER ] [ -P ] [ -p ] [ -s ]

DESCRIPTION
Cnfsstat reads <pathetc in inn.conf>/cycbuff.conf and <pathetc in inn.conf>/storage.conf to read which cycbuff is available and read specified cycbuffs and shows the usage of them.

Cnfsstat can be invoked from rc.news(8), if <docnfsstat in inn.conf> is ``true'', and the result is written to syslog(3).

OPTIONS

-a  Cnfsstat prints also the age of the oldest article in the cycbuff.

-c CLASS
    Cnfsstat prints for the specified class.

-h  Cnfsstat prints usage information.

-l [ seconds ]
    Cnfsstat never exits unless there is an error, and prints the snapshot every seconds. The default interval is 600 seconds.

-m  Cnfsstat prints out information suitable for mrtg.

-P  Cnfsstat writes PID into <pathrun in inn.conf>/cnfsstat.pid.

-p  Cnfsstat prints out an mrtg config file.

-s  Cnfsstat prints the result to syslog(3).

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews.

SEE ALSO
cycbuff.conf(5), inn.conf(5), storage.conf(5).